<?php

require("includes/check_auth_user.php");
require("includes/dbconnect.php");
include ('includes/function.php');

$zdb = $_SESSION["zdbyear_" . $dbname];
mysqli_select_db($conn, $zdb);
$admin = $_SESSION["admin_" . $dbname];
$success = false;


$keyfld = "vouchno";
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];
$series = $_REQUEST["series"];
$para = $_REQUEST["para"];
$parasrch = $_REQUEST["parasrch"];

$file = "consult_ent.php";
$maindb = "consultmain";


$cond = "";
if ($_REQUEST["sfield"] != "") {
    if ($operator == "=") {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND b.`name` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchno` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`vouchdt` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND b.`gender` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND b.`mobile` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND b.`email` = '$searchTerm'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND a.`diag1` = '$searchTerm'";
        }
    } else {
        if ($_REQUEST["sfield"] == "1") {
            $cond = "AND b.`name` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "2") {
            $cond = "AND a.`vouchno` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "3") {
            $cond = "AND a.`vouchdt` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "4") {
            $cond = "AND b.`gender` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "5") {
            $cond = "AND b.`mobile` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "6") {
            $cond = "AND b.`email` LIKE '%$searchTerm%'";
        } else if ($_REQUEST["sfield"] == "7") {
            $cond = "AND a.`diag1` LIKE '%$searchTerm%'";
        }
    }
}

$sortcond = "ORDER BY a.`vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY b.`name`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY a.`vouchno`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY a.`vouchdt`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY b.`gender`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY b.`mobile`";
} else if ($_REQUEST["sortBy"] == "6") {
    $sortcond = " ORDER BY b.`email`";
} else if ($_REQUEST["sortBy"] == "7") {
    $sortcond = " ORDER BY a.`diag1`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = "DESC";
} else {
    $ordcond = "ASC";
}

$query = "SELECT a.*, DATE_FORMAT(a.`vouchdt`, '%d-%m-%Y') as mydt, b.accode, b.name as patientname, b.gender, b.mobile, b.email FROM `$maindb` a, `accmast` b WHERE a.`accode` = b.`accode` 
          $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query)or die(mysqli_error($conn));


$rows = array();
$ctr = 0;
while ($r = mysqli_fetch_assoc($result)) {
    
    
    // $getpay = mysqli_query($conn, "SELECT sum(amount) as tamt FROM `actran` WHERE slvouch='$r[vouchno]' and accode = '$r[accode]'") or die(mysqli_error($conn));
    // $mpay = mysqli_fetch_array($getpay);

    // $balance = $r['billamt'] - $mpay['tamt'];

    $pname = $r['patientname'];

    if ($r['gender'] == 'M') {
        $gender = "Male";
    } else if ($r['gender'] == 'F') {
        $gender = "Female";
    }  else {
        $gender = "Other";
    }

    $rows[] = ['success' => true,
        'voucher' => $r['vouchno'],
        'vouchdt' => $r['mydt'],
        'pname' => $pname,
        'gender' => $gender,
        'mobile' => $r['mobile'],
        'email' => $r['email'],
        'diag1' => $r['diag1'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
}
header("Content-type: application\json");
echo json_encode($rows);
